{% extends "base.html" %}
{% block style %}
<link rel="stylesheet" href="{{ url_for('static',filename='css/home.css') }}">
{% endblock %}

{% block main %}

<section class="d-flex flex-column align-items-center edt">
    <h1> {{titre}} </h1>
    <div class = "option">
        <form action="{{ url_for('search') }}" method="POST">
            <div style="display: flex; margin-bottom: 2em;">
                <input type = "text" class = "form-control" name = "recherche">
                <button class = "btn btn-primary" type = "submit"> rechercher </button>
            </div>
            {% if current_user.role == "Implenteur" %}
            <div class = "nouveau">
                <button class = "btn btn-primary" type = 'button'  onclick="window.location.href='/projet/creer'"> Nouveau projet </button>
            </div>
            {% endif %}
        </form>
    </div>
    <div class = "contenant">
        <div class="row row-cols-1 row-cols-md-3 g-4">
        {% for projet in projets %}
                <div class="col" style="margin-bottom: 1em;">
                    <div class="card h-100 text-center">
                        <div class="card-body">
                        <h5 class="card-title"> {{projet.intitule}}</h5>
                        <p class="card-text">
                            <p> <b> Participants : </b>
                                 {% for util in projet.utilisateurs %} 
                                    {{util.nom}}
                                {% endfor %}        
                            </p>
                        <p class="card-text"> <b> Débuté le : </b> {{projet.date_deb}} </p>
                        <div class = "les_boutons">
                            <button class = "btn btn-primary" onclick="window.location.href = '/projet/{{projet.id}}'" > Afficher </button>
                            <button class = "btn btn-danger" onclick="window.location.href='/projet/{{projet.id}}/quit'"> Quitter </button>
                        </div>
                    </div>
                </div>
          </div>
        {% endfor %}
    </div>
</section>

{% endblock %}